import { IVehicleData } from '../../src/typings/vehicle-data.types';

export const currentVehicle: IVehicleData = {
  id: 21394276701128312,
  vehicle_id: 1904708726,
  vin: '5YJ3F7EA7KF473422',
  display_name: 'Boey Jnr',
  option_codes:
    'AD15,MDL3,PBSB,RENA,BT37,ID3W,RF3G,S3PB,DRLH,DV2W,W39B,APF0,COUS,BC3B,CH07,PC30,FC3P,FG31,GLFR,HL31,HM31,IL31,LTPB,MR31,FM3B,RS3H,SA3P,STCP,SC04,SU3C,T3CA,TW00,TM00,UT3P,WR00,AU3P,APH3,AF00,ZCST,MI00,CDM0',
  color: null,
  access_type: 'OWNER' as 'OWNER',
  tokens: ['969fd8e06165eb8b', '1f6d74c92572c404'],
  state: 'online' as 'online',
  in_service: false,
  id_s: '21394276701128312',
  calendar_enabled: true,
  api_version: 12,
  backseat_token: null,
  backseat_token_updated_at: null,
  vehicle_config: {
    can_accept_navigation_requests: true,
    can_actuate_trunks: true,
    car_special_type: 'base' as 'base',
    car_type: 'model3' as 'model3',
    charge_port_type: 'CCS' as 'CCS',
    default_charge_to_max: false,
    ece_restrictions: false,
    eu_vehicle: true,
    exterior_color: 'SolidBlack' as 'SolidBlack',
    exterior_trim: 'Chrome' as 'Chrome',
    has_air_suspension: false,
    has_ludicrous_mode: false,
    key_version: 2,
    motorized_charge_port: true,
    plg: false,
    rear_seat_heaters: 0,
    rear_seat_type: null,
    rhd: true,
    roof_color: 'Glass' as 'Glass',
    seat_type: null,
    spoiler_type: 'None' as 'None',
    sun_roof_installed: null,
    third_row_seats: '<invalid>' as '<invalid>',
    timestamp: 1608165841763,
    use_range_badging: true,
    wheel_type: 'Pinwheel18' as 'Pinwheel18',
  },
  charge_state: {
    battery_heater_on: false,
    battery_level: 80,
    battery_range: 173.42,
    charge_current_request: 8,
    charge_current_request_max: 8,
    charge_enable_request: true,
    charge_energy_added: 1.88,
    charge_limit_soc: 77,
    charge_limit_soc_max: 100,
    charge_limit_soc_min: 50,
    charge_limit_soc_std: 90,
    charge_miles_added_ideal: 8.5,
    charge_miles_added_rated: 8.5,
    charge_port_cold_weather_mode: false,
    charge_port_door_open: true,
    charge_port_latch: 'Engaged' as 'Engaged',
    charge_rate: 0.0,
    charge_to_max_range: false,
    charger_actual_current: 0,
    charger_phases: 1,
    charger_pilot_current: 8,
    charger_power: 0,
    charger_voltage: 2,
    charging_state: 'Complete' as 'Complete',
    conn_charge_cable: 'IEC' as 'IEC',
    est_battery_range: 161.31,
    fast_charger_brand: '<invalid>' as '<invalid>',
    fast_charger_present: false,
    fast_charger_type: 'MCSingleWireCAN' as 'MCSingleWireCAN',
    ideal_battery_range: 173.42,
    managed_charging_active: false,
    managed_charging_start_time: null,
    managed_charging_user_canceled: false,
    max_range_charge_counter: 0,
    minutes_to_full_charge: 0,
    not_enough_power_to_heat: null,
    scheduled_charging_pending: false,
    scheduled_charging_start_time: null,
    time_to_full_charge: 0.0,
    timestamp: 1608165841762,
    trip_charging: false,
    usable_battery_level: 80,
    user_charge_enable_request: null,
  },
  climate_state: {
    battery_heater: false,
    battery_heater_no_power: null,
    climate_keeper_mode: 'off' as 'off',
    defrost_mode: 0 as 0,
    driver_temp_setting: 24.0,
    fan_status: 0 as 0,
    inside_temp: 25.2,
    is_auto_conditioning_on: false,
    is_climate_on: false,
    is_front_defroster_on: false,
    is_preconditioning: false,
    is_rear_defroster_on: false,
    left_temp_direction: 0,
    max_avail_temp: 28.0,
    min_avail_temp: 15.0,
    outside_temp: 26.5,
    passenger_temp_setting: 24.0,
    remote_heater_control_enabled: false,
    right_temp_direction: 0,
    seat_heater_left: 0 as 0,
    seat_heater_right: 0 as 0,
    seat_heater_rear_center: 0 as 0,
    seat_heater_rear_left: 0 as 0,
    seat_heater_rear_right: 0 as 0,
    side_mirror_heaters: false,
    timestamp: 1608165841762,
    wiper_blade_heater: false,
  },
  drive_state: {
    gps_as_of: 1608165504,
    heading: 190,
    latitude: -37.909302,
    longitude: 145.190664,
    native_latitude: -37.909302,
    native_location_supported: 1,
    native_longitude: 145.190664,
    native_type: 'wgs' as 'wgs',
    power: 0,
    shift_state: null,
    speed: null,
    timestamp: 1608165841763,
  },
  gui_settings: {
    gui_24_hour_time: true,
    gui_charge_rate_units: 'kW' as 'kW',
    gui_distance_units: 'km/hr' as 'km/hr',
    gui_range_display: 'Rated' as 'Rated',
    gui_temperature_units: 'C' as 'C',
    show_range_units: false,
    timestamp: 1608165841763,
  },
  vehicle_state: {
    api_version: 12,
    autopark_state_v2: 'unavailable' as 'unavailable',
    calendar_supported: true,
    car_version: '2020.44.10.1 955dc1dd145e',
    center_display_state: 0 as 0,
    df: 0 as 0,
    dr: 0 as 0,
    fd_window: 0 as 0,
    fp_window: 0 as 0,
    ft: 0 as 0,
    is_user_present: false,
    locked: true,
    media_state: {
      remote_control_enabled: true,
    },
    notifications_supported: true,
    odometer: 10220.936469,
    parsed_calendar_supported: true,
    pf: 0 as 0,
    pr: 0 as 0,
    rd_window: 0 as 0,
    remote_start: false,
    remote_start_enabled: true,
    remote_start_supported: true,
    rp_window: 0 as 0,
    rt: 0 as 0,
    sentry_mode: true,
    sentry_mode_available: true,
    software_update: {
      download_perc: 0,
      expected_duration_sec: 2700,
      install_perc: 1,
      status: '',
      version: '',
    },
    speed_limit_mode: {
      active: false,
      current_limit_mph: 68.222983,
      max_limit_mph: 90,
      min_limit_mph: 50,
      pin_code_set: true,
    },
    sun_roof_state: 'closed',
    timestamp: 1608165841762,
    valet_mode: false,
    vehicle_name: 'Boey Jnr',
  },
};
